"Unsupported Architecture Type" on i7-2630QM, Win7 64bit SP1

"Unsupported Architecture Type" on i7-2630QM, Win7 64bit SP1

Just installed Intel VTune Amplifier XE 2011 on a new notebook with second generation Core i7-2630QM CPU under Windows 7 64bit home premium SP1, but none of the hardware event-basedsampling (EBS) is available.Selecting any of the analysers displays "Unsupported Architecture Type".

  • Lightweight Hotspots
  • Advanced Hardware-level Analysis types targeted for Intel
    Core 2 processor family
  • Advanced Hardware-level Analysis types targeted for Intel
    Microarchitecture Codename Nehalem

According to the following document EBS should be available on Core i7 Mobile CPUs.http://software.intel.com/sites/products/documentation/hpc/amplifierxe/en-us/win/start/release_notes_amplifier_xe_windows.pdfWhy is it reporting an "Unsupported Architecture Type"?

6 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

I doubt if you installed the product and used the product with the user, which has "administrator" privilege?

Thanks for the quick reply.I installed and run the product as Administrator.During the installation, the following warnings showed:"The processor in this system does not support hardware event-based sampling.Installation can continue, however performance analysis types that use hardware event-based sampling (EBS) will not be enabled. All other performance analysis types will be available. To enable EBS, install the product on a compliant Intel Architecture processor."The CPU isi7-2630QM, a second generation Mobile i7 (Sandy Bridge). Is this CPU supported?"This machine uses operation system "Windows* 7 Home Premium Service Pack 1, v.721". Compatibility problems are possible.Installation can continue; however, product functionality may not meet expectations because this product is untested on this operating system. Suggestion: Check Release Notes for a list of supported operating systems and install this product on a compliant system."In order to enable AVX, I had to install Windows 7 Service Pack 1. Is this beta OS not supported yet?

As I know that Sandy Bridge processor still is not supported, this is not an operation system issue. Please use the product on other released CPU.

Thanks, Peter

Oh, come on, Sandy Bridge has been out since January. This is so unprofessional.

The public release of windows 7 SP1 didn't occur until 2 weeks ago. I figured out how to install it, although I couldn't find Microsoft documentation on how to do it. I don't see how you can blame people active on this site for that situation.
Did you download the current update of Amplifier to see whether it has the separate category for Sandy Bridge event gathering, as the one I got did earlier this week?
No, I don't know what is blocking the download site today.

Leave a Comment

Please sign in to add a comment. Not a member? Join today